# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Order\Status\Shipping:
  - {code: BO, position: 120, translations: [{code: 'en', name: 'Back-ordered', customerName: 'Back-ordered'}, {code: 'ru', name: 'Предзаказ', customerName: 'Предзаказ'}]}
  - {code: PO, position: 130, translations: [{code: 'en', name: 'Pre-ordered', customerName: 'Pre-ordered'}, {code: 'ru', name: 'Предзаказ', customerName: 'Предзаказ'}]}

XLite\Model\Order\Status\Property:
  - {paymentStatus: {code: A}, shippingStatus: {code: BO}, incStock: false}
  - {paymentStatus: {code: PP}, shippingStatus: {code: BO}, incStock: false}
  - {paymentStatus: {code: P}, shippingStatus: {code: BO}, incStock: false}
  - {paymentStatus: {code: D}, shippingStatus: {code: BO}, incStock: true}
  - {paymentStatus: {code: C}, shippingStatus: {code: BO}, incStock: true}
  - {paymentStatus: {code: Q}, shippingStatus: {code: BO}, incStock: false}
  - {paymentStatus: {code: R}, shippingStatus: {code: BO}, incStock: true}
  - {paymentStatus: {code: A}, shippingStatus: {code: PO}, incStock: false}
  - {paymentStatus: {code: PP}, shippingStatus: {code: PO}, incStock: false}
  - {paymentStatus: {code: P}, shippingStatus: {code: PO}, incStock: false}
  - {paymentStatus: {code: D}, shippingStatus: {code: PO}, incStock: true}
  - {paymentStatus: {code: C}, shippingStatus: {code: PO}, incStock: true}
  - {paymentStatus: {code: Q}, shippingStatus: {code: PO}, incStock: false}
  - {paymentStatus: {code: R}, shippingStatus: {code: PO}, incStock: true}

XLite\Model\LanguageLabel:
  - name: "(product is out of stock and will be back-ordered)"
    translations:
      - code: en
        label: "(this product is out of stock, will be {{type}})"
      - code: ru
        label: "(временно нет на складе, будет оформлен предзаказ)"
  - name: "(X items of this product will be back-ordered)"
    translations:
      - code: en
        label: "({{instock}} left in stock, {{backordered}} will be {{type}})"
      - code: ru
        label: "(осталось на складе: {{instock}}, будет предзаказано: {{backordered}})"
  - name: "(1 item of this product will be back-ordered)"
    translations:
      - code: en
        label: "({{instock}} left in stock, one will be {{type}})"
      - code: ru
        label: "(осталось на складе: {{instock}}, будет предзаказано: 1)"
  - name: "(1 item of this product was back-ordered)"
    translations:
      - code: en
        label: "(1 item of this product was {{type}})"
      - code: ru
        label: "(предзаказ 1 единицы товара в связи с его временным отсутствием на складе)"
  - name: "(X items of this product were back-ordered)"
    translations:
      - code: en
        label: "({{amount}} items of this product were {{type}})"
      - code: ru
        label: "(предзаказ {{amount}} единиц(ы) товара в связи с его временным отсутствием на складе)"
  - name: "back-ordered"
    translations:
      - code: en
        label: "back-ordered"
      - code: ru
        label: "предзаказаны"
  - name: "pre-ordered"
    translations:
      - code: en
        label: "pre-ordered"
      - code: ru
        label: "предзаказаны"
  - name: "Backordered products"
    translations:
      - code: en
        label: "Backordered products"
      - code: ru
        label: "Товары, заказанные сверх остатка"
  - name: "Information on using Backorder module"
    translations:
      - code: en
        label: "Information on using Backorder module"
      - code: ru
        label: "Информация по использованию модуля Backorder"
  - name: "Available for backorder/preorder"
    translations:
      - code: en
        label: "Available for backorder/preorder"
      - code: ru
        label: "Возможность заказа сверх остатка и предзаказа"
  - name: "Available for backorder message"
    translations:
      - code: en
        label: "Available for backorder"
      - code: ru
        label: "Возможен заказа сверх остатка"
  - name: "Backorder label"
    translations:
      - code: en
        label: "Backorder label"
      - code: ru
        label: "Подсказка для покупателей"
  - name: 'Help: Backorder label'
    translations:
      - code: en
        label: 'Customers will see this text in product lists and on the product page when the product is out of stock. You can insert the number of units available for backordering by using the "%number%" placeholder; for example: "You can back-order up to %number% items."'
      - code: ru
        label: 'Покупатели увидят это сообщение в списках и на странице этого товара когда он будет отсутствовать на складе. Используя специальную строку "%number%" в текст можно вставить количество единиц товара, доступное для предзаказа сверх остатка; например: "Возможен предзаказ до %number% единиц этого товара."'
  - name: "Limit the number of backordered units"
    translations:
      - code: en
        label: "Limit the backorder quantity"
      - code: ru
        label: "Ограничить количество сверх остатка"
  - name: "Backorder limit"
    translations:
      - code: en
        label: "Max. backorder quantity"
      - code: ru
        label: "Максимальное количество"
  - name: "Help: To make product available for back-order"
    translations:
      - code: en
        label: 'To configure which products are available for backordering, use new fields in the "{{section}}" section when editing your products.'
      - code: ru
        label: 'Чтобы указать, какие товары могут быть заказаны сверх остатка, используйте новые поля в секции "{{section}}" при редактировании этих товаров.'
  - name: "Help: To check which products were back-ordered"
    translations:
      - code: en
        label: 'To see the list of backordered products, go to the <a href="{{link}}">{{menu_item}}</a> page. You can find a link to the page in the "{{menu_name}}" menu.'
      - code: ru
        label: 'Увидеть список товаров, заказанных сверх остатка, можно на странице <a href="{{link}}">{{menu_item}}</a>. Ссылку на эту страницу также можно найти в меню "{{menu_name}}".'
  - name: "Help: To import back-order information"
    translations:
      - code: en
        label: 'You can use new "availableForBackorder" and "backorderQtyLabel" columns in products.csv files to export and import backorder settings along with other product information.'
      - code: ru
        label: 'В файлах экспорта/импорта (products.csv) можно использовать новые колонки "availableForBackorder" и "backorderQtyLabel" для экспорта и импорта параметров заказа сверх остатка вместе с остальной информацией о товарах.'
  - name: 'You tried to buy more items of "{{product}}" product {{description}} than are in stock. We have {{in_stock}} items of this variation in stock and {{to_backorder}} (in total) available for backorder. Please adjust the product quantity.'
    translations:
      - code: en
        label: 'You tried to buy more items of "{{product}}" product {{description}} than are in stock. We have {{in_stock}} items of this variation in stock and {{to_backorder}} (in total) available for backorder. Please adjust the product quantity.'
      - code: ru
        label: 'Вы положили в корзину большее количество товара "{{product}}" {{description}}, чем есть в наличии. В наличии только {{in_stock}} единиц с данными атрибутами, а также {{to_backorder}} (независимо от атрибутов) доступно для предзаказа. Пожалуйста, измените количество товара.'
  - name: 'You tried to buy more items of "{{product}}" product {{description}} than are in stock. We have {{in_stock}} items in stock and {{to_backorder}} more available for backorder. Please adjust the product quantity.'
    translations:
      - code: en
        label: 'You tried to buy more items of "{{product}}" product {{description}} than are in stock. We have {{in_stock}} items in stock and {{to_backorder}} more available for backorder. Please adjust the product quantity.'
      - code: ru
        label: 'Вы положили в корзину большее количество товара "{{product}}" {{description}}, чем есть в наличии. В наличии только {{in_stock}} единиц, а также {{to_backorder}} доступно для предзаказа. Пожалуйста, измените количество товара.'
  - name: 'X of them will be backordered'
    translations:
      - code: en
        label: '{{backordered}} of them will be backordered'
      - code: ru
        label: '{{backordered}} из них будет предзаказано'
  - name: 'X items of this product will be backordered'
    translations:
      - code: en
        label: '{{backordered}} items of this product will be backordered'
      - code: ru
        label: '{{backordered}} единиц этого продукта будет предзаказано'
  - name: "Backorders"
    translations:
      - code: en
        label: "Backorders"
  - name: 'Backorder'
    translations:
      - {code: en, label: 'Backorder'}
# - name: ""
#   translations:
#     - code: en
#       label: ""
#     - code: ru
#       label: ""
